summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--scripts/find-debuginfo.sh8
1 files changed, 7 insertions, 1 deletions
diff --git a/scripts/find-debuginfo.sh b/scripts/find-debuginfo.sh
index aac635da9..0ffbf4ffe 100644
--- a/scripts/find-debuginfo.sh
+++ b/scripts/find-debuginfo.sh
@@ -127,7 +127,13 @@ strip_to_debug()
eu-strip --remove-comment $r $strip_option -f "$1" "$2" || exit
;;
*)
- strip --remove-section=.comment $g $strip_option -o "$1" "$2" || exit
+ # Support an alternative way to choose between strip (binutils) and
+ # eu-strip (elfutils) to handle a large shared object (e.g. chromium)
+ if [ "$STRIP_DEFAULT_PACKAGE" != "binutils" ]; then
+ eu-strip --remove-comment $g $strip_option -f "$1" "$2" || exit
+ else
+ strip --remove-section=.comment $g $strip_option -o "$1" "$2" || exit
+ fi
esac
chmod 444 "$1" || exit
}